Kontentga o'tish

Foydalanuvchilar

GET
/v1/user
curl --request GET \
--url 'https://api-admin.billz.ai/v1/user?page=1&limit=1000&type=-1&force_roles=false' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.

page
integer format: int32
default: 1

Raqam emas -> 400. Juda katta qiymat — 400, error_code=138

limit
integer format: int32
default: 10

Raqam emas -> 400. Juda katta qiymat — 400, error_code=138

Example
1000
type
integer format: int32
default: -1

-1 — barchasi, 1 — oddiy, 2 — integratsion

search
string

Uzunligi cheklangan; juda uzun satr — 400, error_code=139

status_ids
Array<string>

Standart holatda — faol va taklif qilinganlar. Elementlar soni cheklangan

shop_ids
Array<string>

Elementlar soni cheklangan

role_ids
Array<string>

Elementlar soni cheklangan

show_sellers
boolean

true satri

force_roles
boolean

Integratsion foydalanuvchilar uchun rollarni qaytarish

sort_field
string

Faqat sort_direction bilan birga qo’llaniladi

sort_direction
string

Asc|desc

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.

Muvaffaqiyatli javob

Media typeapplication/json
object
current_users_count
integer format: int32
blocked_users_count
integer format: int32
deleted_users_count
integer format: int32
count
integer format: int32
users
Array<object>
object
id
string
external_id
integer format: int64
company_id
string
phone_number
string
first_name
string
last_name
string
birth_date
string
gender
string
mobile_login_allowed

Qiymat bo’sh bo’lsa, javobda bo’lmaydi

boolean
enable_max_validated_devices_limit

Qiymat bo’sh bo’lsa, javobda bo’lmaydi

boolean
max_validated_devices

Qiymat bo’sh bo’lsa, javobda bo’lmaydi

integer format: int64
status_id
string
is_active
boolean
image
string
image_url
string
is_image_avatar
boolean
language
string
theme
string
current_cashbox_id
string
current_shop_id
string
cashboxes
Array<string>
nullable
shops
Array<object>
object
id
string
shop_id
string
shop
object
name
string
roles
Array<object>
nullable
object
id
string
role_id
string
role
object
name
string
created_at
string
updated_at
string
deleted_at
integer format: int64
telegram_id
integer format: int64
props_updated
boolean
type

1 oddiy, 2 integratsion

integer format: int32
tariff_limits
object
company_tariff
string
cashbox_count
integer
products_count
integer
users_count
integer
customers_count
integer
Examplegenerated
{
"current_users_count": 1,
"blocked_users_count": 1,
"deleted_users_count": 1,
"count": 1,
"users": [
{
"id": "example",
"external_id": 1,
"company_id": "example",
"phone_number": "example",
"first_name": "example",
"last_name": "example",
"birth_date": "example",
"gender": "example",
"mobile_login_allowed": true,
"enable_max_validated_devices_limit": true,
"max_validated_devices": 1,
"status_id": "example",
"is_active": true,
"image": "example",
"image_url": "example",
"is_image_avatar": true,
"language": "example",
"theme": "example",
"current_cashbox_id": "example",
"current_shop_id": "example",
"cashboxes": [
"example"
],
"shops": [
{
"id": "example",
"shop_id": "example",
"shop": {
"name": "example"
}
}
],
"roles": [
{
"id": "example",
"role_id": "example",
"role": {
"name": "example"
}
}
],
"created_at": "example",
"updated_at": "example",
"deleted_at": 1,
"telegram_id": 1,
"props_updated": true,
"type": 1,
"tariff_limits": {
"company_tariff": "example",
"cashbox_count": 1,
"products_count": 1,
"users_count": 1,
"customers_count": 1
}
}
]
}